
Redmine - Defect #780

Redmine Menu is erroring 

2008-03-04 04:28 - Eric Davis

Status: Closed Start date: 2008-03-04

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Running r1184, Redmine fails to start with a const_missing error on Redmine::MenuManager::MenuItem::GLoc.

$ script/server

=> Booting Mongrel (use 'script/server webrick' to force WEBrick)

=> Rails application starting on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

** Starting Mongrel listening at 0.0.0.0:3000

** Starting Rails with development environment...

Exiting

/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:478:in `const_m

issing': uninitialized constant Redmine::MenuManager::MenuItem::GLoc (NameError)

        from /home/edavis/.common/dev/redmine_git/lib/redmine/menu_manager.rb:126

        from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

        from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:49

6:in `require'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:34

2:in `new_constants_in'

        from /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:49

6:in `require'

        from /home/edavis/.common/dev/redmine_git/lib/redmine.rb:2

        from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

         ... 44 levels...

        from /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39

        from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

        from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

        from script/server:3

Associated revisions

Revision 1187 - 2008-03-05 10:01 - Jean-Philippe Lang

Fixes #780: Redmine fails to start with a const_missing error on Redmine::MenuManager::MenuItem::GLoc (occurs when a Redmine plugin is loaded

before GLoc).

History

#1 - 2008-03-04 04:30 - Eric Davis

- File gloc-780.diff added

Attached is a patch to require gloc in Redmine::MenuManager which fixes this defect for me.

#2 - 2008-03-05 10:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1187.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1184
https://www.redmine.org/projects/redmine/repository/svn/revisions/1187


gloc-780.diff 418 Bytes 2008-03-04 Eric Davis

Powered by TCPDF (www.tcpdf.org)

2024-05-03 2/2

http://www.tcpdf.org

